dnl
dnl M4 Macros to generate Store ~/etc/config file
dnl
dnl
divert(-1)dnl

dnl
define(SC_INTRO, `# Store ~/etc/config generated by storeconfig')

dnl
define(SC_STORE, `internal $1
store    $1 host=$1 archs=$2 ifelse($3,,, linktrees=$3)')

dnl
define(SC_LINKTREE, `dnl
linktree $1 host=$1 arch=$2 domain=$3 \
    level=$4 ifelse($5,,, unwantedfile=/store/store/Adm/uw/$5)')

dnl
dnl Define a Store master, keeping software for more then one
dnl architecture and host.
dnl
dnl Usage:
dnl   STOREMASTER(name, [storearch], [linktreearch], domain, level, sitemaster)
dnl
dnl If you need more then one storearch, use [arch1,arch2,arch3] with
dnl no space in between.
dnl

define(STOREMASTER, `dnl
SC_STORE(`$1', $2)
SC_LINKTREE($1, $3, $4, $5, $1)
run      cmaster       pass=1 on=$1 from=$6
run      cslave        pass=2 on=$1 from=$6
run      cclient       pass=4 on=$1 from=$6
run      news          pass=5 on=$1 from=$6
run      report        pass=6 on=$1 from=$6
run      collectusage  pass=7 on=$1 from=$6
compile  $3 on=$1
')dnl

dnl
dnl Define a Slave Store, keeping only software for the host itself
dnl
dnl Usage:
dnl   STORESLAVE(name, architecture, domain, level, sitemaster <, uwfile> )
dnl

define(STORESLAVE, `dnl
SC_STORE($1, $2, $1)
SC_LINKTREE($1, $2, $3, $4, ifelse(`$6',,$3,$6))
run cslave        pass=3 via=ssh on=$1 from=$5
run cclient       pass=4 via=ssh on=$1 from=$5
run news          pass=5 via=ssh on=$1 from=$5
compile  $2 on=$1
')dnl

dnl
dnl Define an external Store, which the master store might slave software from.
dnl
dnl Usage:
dnl   EXTERNSTORE(name)
dnl

define(EXTERNSTORE, `external $1')dnl

divert(0)dnl
SC_INTRO
